# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TBinaryColumn

Packages that use TBinaryColumn
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TBinaryColumn in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TBinaryColumn
Modifier and Type
Class
Description
`class`
`TBinaryColumn`
`class`
`TBinaryColumn`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TBinaryColumn
Modifier and Type
Method
Description
`TBinaryColumn`
TBinaryColumn.`deepCopy()`
`TBinaryColumn`
TColumn.`getBinaryVal()`
`TBinaryColumn`
TBinaryColumn.`setNulls(byte[] nulls)`
`TBinaryColumn`
TBinaryColumn.`setNulls(ByteBuffer nulls)`
`TBinaryColumn`
TBinaryColumn.`setValues(List<ByteBuffer> values)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBinaryColumn
Modifier and Type
Method
Description
`static TColumn`
TColumn.`binaryVal(TBinaryColumn value)`
`int`
TBinaryColumn.`compareTo(TBinaryColumn other)`
`boolean`
TBinaryColumn.`equals(TBinaryColumn that)`
`void`
TColumn.`setBinaryVal(TBinaryColumn value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TBinaryColumn
Modifier
Constructor
Description
``
`TBinaryColumn(TBinaryColumn other)`
Performs a deep copy on other.